> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Credentials

> Get connector credentials



## OpenAPI

````yaml get /connectors/{connectorId}/credentials
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/{connectorId}/credentials:
    get:
      tags:
        - Credentials
      summary: Get Connector Credentials
      description: Get connector credentials
      operationId: get-connector-credentials
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
        - name: x-alloy-userid
          in: header
          required: false
          description: >-
            The ID of the user you're getting credentials for; If not provided,
            the request will be made as the API Key user
          schema:
            type: string
          example: 68b666094a6821e749c36006
        - name: connectorId
          in: path
          required: true
          description: Connector ID
          schema:
            type: string
          example: slack
      responses:
        '200':
          description: List of credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Credentials'
              example:
                credentials:
                  - credentialId: 68f8a98a48af02e752bf8e1b
                    name: Slack User's Slack Credential
                    connectorId: slack
                    authenticationType: oauth2
                    createdAt: '2025-10-22T09:53:14.374Z'
                    updatedAt: '2025-10-22T09:53:14.382Z'
      security:
        - bearerAuth: []
components:
  schemas:
    Credentials:
      type: object
      properties:
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/Credential'
    Credential:
      type: object
      required:
        - credentialId
        - name
        - connectorId
        - authenticationType
      properties:
        credentialId:
          type: string
          description: Unique credential identifier
          example: 68f8a98a48af02e752bf8e1b
        name:
          type: string
          description: Display name of the credential
          example: Slack User's Slack Credential
        connectorId:
          type: string
          description: ID of the connector this credential is for
          example: slack
        authenticationType:
          type: string
          description: Type of authentication method
          example: oauth2
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the credential was created
          example: '2025-10-22T09:53:14.374Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the credential was last updated
          example: '2025-10-22T09:53:14.382Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````